From 966fb1b32b928d9524a330585e7413b3dbe4cbb3 Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Fri, 17 Jun 2016 13:43:27 +0300
Subject: [PATCH 1/6] cmdtestlib: add PROMPT_REVIEW_STATE

This way there's only one place to change the prompt.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 cmdtests/cmd-review.script |    4 ++--
 cmdtests/cmdtestlib.py     |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/cmdtests/cmd-review.script b/cmdtests/cmd-review.script
index f4c82ebcd5c4..71a9de2bc9de 100755
--- a/cmdtests/cmd-review.script
+++ b/cmdtests/cmd-review.script
@@ -50,14 +50,14 @@ def main():
    child.sendline('review 1')
 
    # abort
-   child.expect('Under review/Changes requested/Deferred/Rejected/aBort?')
+   child.expect(cmdtestlib.PROMPT_REVIEW_STATE)
    child.sendline('b')
    
    child.expect_prompt()
    child.sendline('review 1')
 
    # Under review
-   child.expect('Under review/Changes requested/Deferred/Rejected/aBort?')
+   child.expect(cmdtestlib.PROMPT_REVIEW_STATE)
    child.sendline('u')
 
    child.expect_prompt()
diff --git a/cmdtests/cmdtestlib.py b/cmdtests/cmdtestlib.py
index 150c815dbc97..7782aecb97ea 100644
--- a/cmdtests/cmdtestlib.py
+++ b/cmdtests/cmdtestlib.py
@@ -37,6 +37,7 @@ import shutil
 import os
 
 PROMPT = 'test-branch@data >'
+PROMPT_REVIEW_STATE = 'Under review/Changes requested/Deferred/Rejected/aBort?'
 
 srcdir = os.environ['SRCDIR']
 datadir = os.environ['DATADIR']
-- 
1.7.9.5

